Subject: bug#5664: 23.1.92; view-lossage

From: Stefan Monnier <[email-masked]>
Date: Sat, 06 Mar 2010 16:33:02 -0500

> However, think there is a bug though.  If Emacs is able to display the
> prompt delivered, it should adapt its behavior independently from the
> regexp already customized.

Emacs has no idea that the string it receives from the underlying
process is a prompt for a password.  All it knows is that the subprocess
sent some text to display to the user.  And then no more text comes
in; and then the user types something so it's sent to the subprocess;
... this is exactly the same interaction as for any other text than
a password.

Maybe in some cases, the subprocess sets up the tty in a particular way
while it's reading the password.  I don't know enough about ttys to know
if that could be used and if so how, but it might be worth looking into.

        Stefan